6.0.0-git
2020-12-03

[#15029] Reply to iPhone Mail - Lost content
Summary Reply to iPhone Mail - Lost content
Queue Synchronization
Queue Version FRAMEWORK_5_2
Type Bug
State Feedback
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester samuel.wolf (at) wolf-maschinenbau (dot) de
Created 2020-08-07 (118 days ago)
Due
Updated 2020-10-28 (36 days ago)
Assigned 2020-10-27 (37 days ago)
Resolved
Milestone
Patch No

History
2020-10-28 20:05:10 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #9 Reply to this comment
Not an attachment, just forward the email as it triggers the bug?
Yes, i forward you the original mail.


2020-10-27 02:39:35 Michael Rubinsky Comment #8
State ⇒ Feedback
Reply to this comment
The fix is in the Horde_Core library.
Really?  Can you forward me an email that shows this still happening? 
Not an attachment, just forward the email as it triggers the bug?  I 
can't reproduce this anymore.


2020-10-13 16:14:34 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #7 Reply to this comment
The fix is in the Horde_Core library.
Unfortunately this fix doesn't fix it, same problem.

Horde_Core                 2.31.16 stable
Horde_ActiveSync           2.41.4  stable

2020-08-28 02:16:56 Michael Rubinsky Comment #6
State ⇒ Resolved
Reply to this comment
Ah. I misunderstood the report. I thought you were replying on an iPhone.
Sorry!
You are using the stock Gmail application on an android device?
Yes, my first idea was something like this Ticket #14841
It looks like this is a combination of issues.  First, we aren't 
actually doing a real "forward" with SmartForward requests, but sort 
of a modified "reply". This has been fixed. The original email is now 
attached, in its entirety, as a message/rfc822 mime part - so all 
attachments are included.

There is a small potential issue with the specific email you sent me 
off-list, and that is that it contains only a single image/jpg part 
with an "in-line" disposition and no "body" part. In my testing, the 
mail is correctly forwarded, but I've found that some mobile viewers 
seem to have trouble viewing the message attachment when it contains 
no body part. Viewing it on various other clients, including Horde, 
seems fine though.

The fix is in the Horde_Core library.


2020-08-25 21:42:45 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #5 Reply to this comment
Ah. I misunderstood the report. I thought you were replying on an iPhone.
Sorry!
You are using the stock Gmail application on an android device?
Yes, my first idea was something like this Ticket #14841
2020-08-25 21:38:16 Michael Rubinsky Comment #4
State ⇒ Feedback
Reply to this comment
Ah. I misunderstood the report. I thought you were replying on an iPhone.

You are using the stock Gmail application on an android device?
2020-08-25 21:35:18 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #3 Reply to this comment
I don't have a device with the most recent iOS updade, but there is 
supposedly a setting under "Mail" to "Include images in replies" in 
newer versions of iOS.
Only to make this clear to me, original mail is sent from iOS (without 
Horde) and the reply is with GMail and Horde ActiveSync.
This means the original mail from iOS has wrong format?

Im asking because you say there is a reply setting of iOS, but GMail 
reply to the mail.
2020-08-25 15:54:13 Michael Rubinsky Comment #2
State ⇒ Not A Bug
Reply to this comment
Unfortunately, this is not a bug in Horde. It's iOS. Here is the 
pertinent part of the request made to the server when you try to reply 
to this message:

[43524][2020-08-25T11:34:41-04:00] I: <ComposeMail:SmartReply>
[43524][2020-08-25T11:34:41-04:00] I:  <ComposeMail:ClientId>
[43524][2020-08-25T11:34:41-04:00] I:    B08F11C3-1A57-4066-B4E0-85C00C81BF98
[43524][2020-08-25T11:34:41-04:00] I:  </ComposeMail:ClientId>
[43524][2020-08-25T11:34:41-04:00] I:  <ComposeMail:SaveInSentItems />
[43524][2020-08-25T11:34:41-04:00] I:  <ComposeMail:ReplaceMime />
[43524][2020-08-25T11:34:41-04:00] I:  <ComposeMail:Source>
[43524][2020-08-25T11:34:41-04:00] I:   <ComposeMail:FolderId>
[43524][2020-08-25T11:34:41-04:00] I:     F2eb5b87c
[43524][2020-08-25T11:34:41-04:00] I:   </ComposeMail:FolderId>
[43524][2020-08-25T11:34:41-04:00] I:   <ComposeMail:ItemId>
[43524][2020-08-25T11:34:41-04:00] I:     440672
[43524][2020-08-25T11:34:41-04:00] I:   </ComposeMail:ItemId>
[43524][2020-08-25T11:34:41-04:00] I:  </ComposeMail:Source>
[43524][2020-08-25T11:34:41-04:00] I:  <ComposeMail:MIME>
<snip>
[43524][2020-08-25T11:34:41-04:00] I:  </ComposeMail:MIME>
[43524][2020-08-25T11:34:41-04:00] I: </ComposeMail:SmartReply>

Note the line:

<ComposeMail:ReplaceMime/>


Normally to save bandwidth a "SmartReply" just sends the text for the 
reply and the server is to obtain the original message from the mail 
server and then create the full email reply before sending it along.   
The "ReplaceMime" property indicates that the client is send the 
entire body of the email and the server should NOT include any 
additional data from the original email. From the spec:


MS-ASCMD 2.2.3.148 ReplaceMime:

When the ReplaceMime element is present, the server MUST NOT include 
the body or attachments of the original message being forwarded. When 
not included, the client MUST append the body of the original message 
as attachments to the outgoing message.

I don't have a device with the most recent iOS updade, but there is 
supposedly a setting under "Mail" to "Include images in replies" in 
newer versions of iOS.

2020-08-19 13:09:48 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2020-08-07 22:06:58 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Reply to iPhone Mail - Lost content
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
Reply to iPhone mail lost in some cases complete content.

@ Mike, I send you an example.

Maybe similar to Ticket #14841 ?

Saved Queries